VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   5355
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7650
   LinkTopic       =   "Form1"
   ScaleHeight     =   5355
   ScaleWidth      =   7650
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdRun 
      Caption         =   "Run"
      Height          =   375
      Left            =   0
      TabIndex        =   3
      Top             =   2760
      Width           =   735
   End
   Begin VB.DirListBox Dir1 
      Height          =   2340
      Left            =   0
      TabIndex        =   2
      Top             =   360
      Width           =   2415
   End
   Begin VB.DriveListBox Drive1 
      Height          =   315
      Left            =   0
      TabIndex        =   1
      Top             =   0
      Width           =   2415
   End
   Begin VB.FileListBox File1 
      Height          =   2235
      Left            =   2520
      MultiSelect     =   2  'Extended
      TabIndex        =   0
      Top             =   360
      Width           =   2055
   End
   Begin VB.Label lblFileName 
      Height          =   255
      Left            =   840
      TabIndex        =   4
      Top             =   2760
      Width           =   3735
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private m_WordServer As Word.Application

' Add the file's footer.
Private Sub ProcessFile(ByVal file_name As String)
Debug.Print file_name

    ' Open the file.
    m_WordServer.Documents.Open FileName:=file_name, ConfirmConversions:=False, _
        ReadOnly:=False, AddToRecentFiles:=False, PasswordDocument:="", _
        PasswordTemplate:="", Revert:=False, WritePasswordDocument:="", _
        WritePasswordTemplate:="", Format:=wdOpenFormatAuto

    ' Insert the footer.
    If m_WordServer.ActiveWindow.View.SplitSpecial <> wdPaneNone Then
        m_WordServer.ActiveWindow.Panes(2).Close
    End If
    If m_WordServer.ActiveWindow.ActivePane.View.Type = wdNormalView Or _
       m_WordServer.ActiveWindow.ActivePane.View.Type = wdOutlineView _
    Then
        m_WordServer.ActiveWindow.ActivePane.View.Type = wdPrintView
    End If
    m_WordServer.ActiveWindow.ActivePane.View.SeekView = wdSeekCurrentPageHeader
    If m_WordServer.Selection.HeaderFooter.IsHeader = True Then
        m_WordServer.ActiveWindow.ActivePane.View.SeekView = wdSeekCurrentPageFooter
    Else
        m_WordServer.ActiveWindow.ActivePane.View.SeekView = wdSeekCurrentPageHeader
    End If
    m_WordServer.Selection.EndKey Unit:=wdStory, Extend:=wdExtend
    m_WordServer.Selection.TypeText Text:="left" & vbTab & file_name & vbTab & "right"
    m_WordServer.ActiveWindow.ActivePane.View.SeekView = wdSeekMainDocument

    ' Save and close the file.
    m_WordServer.ActiveDocument.Save
    m_WordServer.ActiveDocument.Close
End Sub
Private Sub cmdRun_Click()
Dim i As Integer
Dim file_path As String
Dim file_name As String
Dim files_processed As Integer

    MousePointer = vbHourglass
    DoEvents

    ' Open the word server.
    On Error GoTo OpenServerError
    Set m_WordServer = New Word.Application
    On Error GoTo 0

    ' Process the files.
    file_path = File1.Path & "\"
    For i = 0 To File1.ListCount - 1
        If File1.Selected(i) Then
            file_name = File1.List(i)
            lblFileName.Caption = file_name
            DoEvents

            On Error GoTo ProcessFileError
            ProcessFile file_path & file_name
            files_processed = files_processed + 1
FileDone:
            On Error GoTo 0
        End If
    Next i

    ' Close the Word server.
    m_WordServer.Quit False
    Set m_WordServer = Nothing

    MousePointer = vbDefault
    lblFileName = ""
    MsgBox "Processed " & Format$(files_processed) & " files", _
        vbInformation, "Done"
    Exit Sub

OpenServerError:
    MsgBox "Error " & Format$(Err.Number) & " opening Word.Basic" & vbCrLf & Err.Description, _
        vbExclamation, "Error"
    MousePointer = vbDefault
    Exit Sub

ProcessFileError:
    MsgBox "Error " & Format$(Err.Number) & "  processing file '" & file_name & "'" & vbCrLf & Err.Description, _
        vbExclamation, "Error"
    Resume FileDone
End Sub
Private Sub Dir1_Change()
    File1.Path = Dir1.Path
End Sub
Private Sub Drive1_Change()
    'On Error GoTo DriveError
    DirList.Path = DriveList.Drive
    Exit Sub

DriveError:
    DriveList.Drive = DirList.Path
    Exit Sub
End Sub


Private Sub Form_Load()
    File1.Pattern = "*.doc"
    Drive1.Drive = App.Path
    Dir1.Path = App.Path
End Sub
Private Sub Form_Resize()
Dim hgt As Single
Dim wid As Single

    hgt = ScaleHeight - cmdRun.Height - Drive1.Height
    If hgt < 120 Then hgt = 120
    Dir1.Height = hgt

    cmdRun.Top = ScaleHeight - cmdRun.Height

    wid = ScaleWidth / 2
    If wid < 120 Then wid = 120
    Dir1.Width = wid
    File1.Move wid, File1.Top, wid, hgt
    Drive1.Width = wid

    wid = ScaleWidth - cmdRun.Width
    If wid < 120 Then wid = 120
    lblFileName.Move cmdRun.Width, cmdRun.Top, wid
End Sub
